path: /build/build/compiler-rt-sys-libs-16.0.0-16.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test clang" emerge sys-libs/compiler-rt:16.0.0 -pv -t && \
    USE="-test clang" emerge -j ${JOBS} --nodeps sys-libs/compiler-rt:16.0.0 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/compiler-rt && \
    luet-portage --dir /pkgdir/compiler-rt sys-libs/compiler-rt:16.0.0 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:5cd51736ad1132b9153df1d762b564cf519a2b15a0fbd4d9201006b5e17d97a9
  package:
    name: compiler-rt
    version: 16.0.0
    category: sys-libs-16.0.0
    use_flags:
    - -test
    - clang
    requires:
    - name: clang
      version: '>=0'
      category: sys-devel-16
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Compiler runtime library for clang (built-in part)
    uri:
    - https://llvm.org/
    license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
    buildtimestamp: 2024-11-08 13:14:56.408781062 +0000 UTC m=+109.855274206
    labels:
      BDEPEND: '>=dev-util/cmake-3.16 clang? ( sys-devel/clang ) test? ( || ( ( dev-lang/python:3.8
        >=dev-python/lit-9.0.1[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 >=dev-python/lit-9.0.1[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 >=dev-python/lit-9.0.1[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 >=dev-python/lit-9.0.1[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) =sys-devel/clang-16.0.0*:16 ) || ( dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/ninja dev-util/cmake'
      DEPEND: '>=sys-devel/llvm-6 !!sys-devel/llvm:0'
      IUSE: +clang debug test
      emerge.packages: sys-libs/compiler-rt:16.0.0
      kit: llvm-kit
      original.package.name: sys-libs/compiler-rt
      original.package.slot: 16.0.0
      original.package.version: 16.0.0
    treedir: /build/packages
  package_dir: /pkgdir/compiler-rt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 53d1ad473099fc2040e45d087945018c817bc7ac9da9159dbbf8465c03314f69
compressiontype: zstd
files:
- usr/lib/clang/16.0.0/lib/linux/clang_rt.crtbegin-x86_64.o
- usr/lib/clang/16.0.0/lib/linux/clang_rt.crtend-x86_64.o
- usr/lib/clang/16.0.0/lib/linux/libclang_rt.builtins-x86_64.a
- usr/share/doc/compiler-rt-16.0.0/README.txt.bz2
- var/db/pkg/sys-libs/compiler-rt-16.0.0/BDEPEND
- var/db/pkg/sys-libs/compiler-rt-16.0.0/BUILD_TIME
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CATEGORY
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CBUILD
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CFLAGS
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CHOST
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CONTENTS
- var/db/pkg/sys-libs/compiler-rt-16.0.0/COUNTER
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CTARGET
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CXX
- var/db/pkg/sys-libs/compiler-rt-16.0.0/CXXFLAGS
- var/db/pkg/sys-libs/compiler-rt-16.0.0/DEFINED_PHASES
- var/db/pkg/sys-libs/compiler-rt-16.0.0/DEPEND
- var/db/pkg/sys-libs/compiler-rt-16.0.0/DESCRIPTION
- var/db/pkg/sys-libs/compiler-rt-16.0.0/EAPI
- var/db/pkg/sys-libs/compiler-rt-16.0.0/FEATURES
- var/db/pkg/sys-libs/compiler-rt-16.0.0/HOMEPAGE
- var/db/pkg/sys-libs/compiler-rt-16.0.0/INHERITED
- var/db/pkg/sys-libs/compiler-rt-16.0.0/IUSE
- var/db/pkg/sys-libs/compiler-rt-16.0.0/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/compiler-rt-16.0.0/KEYWORDS
- var/db/pkg/sys-libs/compiler-rt-16.0.0/LDFLAGS
- var/db/pkg/sys-libs/compiler-rt-16.0.0/LICENSE
- var/db/pkg/sys-libs/compiler-rt-16.0.0/NEEDED
- var/db/pkg/sys-libs/compiler-rt-16.0.0/NEEDED.ELF.2
- var/db/pkg/sys-libs/compiler-rt-16.0.0/PF
- var/db/pkg/sys-libs/compiler-rt-16.0.0/RESTRICT
- var/db/pkg/sys-libs/compiler-rt-16.0.0/SIZE
- var/db/pkg/sys-libs/compiler-rt-16.0.0/SLOT
- var/db/pkg/sys-libs/compiler-rt-16.0.0/USE
- var/db/pkg/sys-libs/compiler-rt-16.0.0/compiler-rt-16.0.0.ebuild
- var/db/pkg/sys-libs/compiler-rt-16.0.0/environment.bz2
- var/db/pkg/sys-libs/compiler-rt-16.0.0/repository
package_cacheimage: ""
runtime:
  name: compiler-rt
  version: 16.0.0
  category: sys-libs-16.0.0
  use_flags:
  - -test
  - clang
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Compiler runtime library for clang (built-in part)
  uri:
  - https://llvm.org/
  license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
  labels:
    BDEPEND: '>=dev-util/cmake-3.16 clang? ( sys-devel/clang ) test? ( || ( ( dev-lang/python:3.8
      >=dev-python/lit-9.0.1[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 >=dev-python/lit-9.0.1[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 >=dev-python/lit-9.0.1[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 >=dev-python/lit-9.0.1[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) =sys-devel/clang-16.0.0*:16 ) || ( dev-lang/python:3.8 dev-lang/python:3.9
      dev-lang/python:3.7 dev-lang/python:3.10 ) dev-util/ninja dev-util/cmake'
    DEPEND: '>=sys-devel/llvm-6 !!sys-devel/llvm:0'
    IUSE: +clang debug test
    emerge.packages: sys-libs/compiler-rt:16.0.0
    kit: llvm-kit
    original.package.name: sys-libs/compiler-rt
    original.package.slot: 16.0.0
    original.package.version: 16.0.0
